Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextFormat.Property

    java.lang.Object
      java.lang.Enum<QTextFormat.Property>
          com.trolltech.qt.gui.QTextFormat.Property

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextFormat.Property>

Enclosing class:
  QTextFormat

    public static enum QTextFormat.Property

extends java.lang.Enum<QTextFormat.Property>
implements QtEnumerator

Press link for information on QTextFormat.Property.

Enum Constant Summary
`AnchorHref` Internal.
`AnchorName` Internal.
`BackgroundBrush` Internal.
`BlockAlignment` Internal.
`BlockBottomMargin` Internal.
`BlockIndent` Internal.
`BlockLeftMargin` Internal.
`BlockNonBreakableLines` Internal.
`BlockRightMargin` Internal.
`BlockTopMargin` Internal.
`BlockTrailingHorizontalRulerWidth` Internal.
`CssFloat` Internal.
`FontFamily` Internal.
`FontFixedPitch` Internal.
`FontItalic` Internal.
`FontOverline` Internal.
`FontPixelSize` Internal.
`FontPointSize` Internal.
`FontSizeAdjustment` Internal.
`FontStrikeOut` Internal.
`FontUnderline` This property has been deprecated. Use QTextFormat::TextUnderlineStyle instead.
`FontWeight` Internal.
`ForegroundBrush` Internal.
`FrameBorder` Internal.
`FrameBorderBrush` Internal.
`FrameBorderStyle` Internal.
`FrameBottomMargin` Internal.
`FrameHeight` Internal.
`FrameLeftMargin` Internal.
`FrameMargin` Internal.
`FramePadding` Internal.
`FrameRightMargin` Internal.
`FrameTopMargin` Internal.
`FrameWidth` Internal.
`FullWidthSelection` Internal.
`ImageHeight` Internal.
`ImageName` Internal.
`ImageWidth` Internal.
`IsAnchor` Internal.
`LayoutDirection` The layout direction of the text in the document (Qt::LayoutDirection).
`ListIndent` Internal.
`ListStyle` Internal.
`ObjectIndex` Internal.
`ObjectType` Internal.
`OutlinePen` Internal.
`PageBreakPolicy` Internal.
`TableCellColumnSpan` Internal.
`TableCellPadding` Internal.
`TableCellRowSpan` Internal.
`TableCellSpacing` Internal.
`TableColumns` Internal.
`TableColumnWidthConstraints` Internal.
`TableHeaderRowCount` Internal.
`TextIndent` Internal.
`TextOutline` Internal.
`TextToolTip` Specifies the (optional) tool tip to be displayed for a fragment of text.
`TextUnderlineColor` Internal.
`TextUnderlineStyle` Internal.
`TextVerticalAlignment` Internal.
`UserProperty` Internal.

Method Summary
`static QTextFormat.Property` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextFormat.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextFormat.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ObjectIndex

    public static final QTextFormat.Property ObjectIndex

  Internal.

### CssFloat

    public static final QTextFormat.Property CssFloat

  Internal.

### LayoutDirection

    public static final QTextFormat.Property LayoutDirection

  The layout direction of the text in the document (Qt::LayoutDirection).

### OutlinePen

    public static final QTextFormat.Property OutlinePen

  Internal.

### BackgroundBrush

    public static final QTextFormat.Property BackgroundBrush

  Internal.

### ForegroundBrush

    public static final QTextFormat.Property ForegroundBrush

  Internal.

### BlockAlignment

    public static final QTextFormat.Property BlockAlignment

  Internal.

### BlockTopMargin

    public static final QTextFormat.Property BlockTopMargin

  Internal.

### BlockBottomMargin

    public static final QTextFormat.Property BlockBottomMargin

  Internal.

### BlockLeftMargin

    public static final QTextFormat.Property BlockLeftMargin

  Internal.

### BlockRightMargin

    public static final QTextFormat.Property BlockRightMargin

  Internal.

### TextIndent

    public static final QTextFormat.Property TextIndent

  Internal.

### BlockIndent

    public static final QTextFormat.Property BlockIndent

  Internal.

### BlockNonBreakableLines

    public static final QTextFormat.Property BlockNonBreakableLines

  Internal.

### BlockTrailingHorizontalRulerWidth

    public static final QTextFormat.Property BlockTrailingHorizontalRulerWidth

  Internal.

### FontFamily

    public static final QTextFormat.Property FontFamily

  Internal.

### FontPointSize

    public static final QTextFormat.Property FontPointSize

  Internal.

### FontSizeAdjustment

    public static final QTextFormat.Property FontSizeAdjustment

  Internal.

### FontWeight

    public static final QTextFormat.Property FontWeight

  Internal.

### FontItalic

    public static final QTextFormat.Property FontItalic

  Internal.

### FontUnderline

    public static final QTextFormat.Property FontUnderline

  This property has been deprecated. Use QTextFormat::TextUnderlineStyle instead.

### FontOverline

    public static final QTextFormat.Property FontOverline

  Internal.

### FontStrikeOut

    public static final QTextFormat.Property FontStrikeOut

  Internal.

### FontFixedPitch

    public static final QTextFormat.Property FontFixedPitch

  Internal.

### FontPixelSize

    public static final QTextFormat.Property FontPixelSize

  Internal.

### TextUnderlineColor

    public static final QTextFormat.Property TextUnderlineColor

  Internal.

### TextVerticalAlignment

    public static final QTextFormat.Property TextVerticalAlignment

  Internal.

### TextOutline

    public static final QTextFormat.Property TextOutline

  Internal.

### TextUnderlineStyle

    public static final QTextFormat.Property TextUnderlineStyle

  Internal.

### TextToolTip

    public static final QTextFormat.Property TextToolTip

  Specifies the (optional) tool tip to be displayed for a fragment of text.

### IsAnchor

    public static final QTextFormat.Property IsAnchor

  Internal.

### AnchorHref

    public static final QTextFormat.Property AnchorHref

  Internal.

### AnchorName

    public static final QTextFormat.Property AnchorName

  Internal.

### ObjectType

    public static final QTextFormat.Property ObjectType

  Internal.

### ListStyle

    public static final QTextFormat.Property ListStyle

  Internal.

### ListIndent

    public static final QTextFormat.Property ListIndent

  Internal.

### FrameBorder

    public static final QTextFormat.Property FrameBorder

  Internal.

### FrameMargin

    public static final QTextFormat.Property FrameMargin

  Internal.

### FramePadding

    public static final QTextFormat.Property FramePadding

  Internal.

### FrameWidth

    public static final QTextFormat.Property FrameWidth

  Internal.

### FrameHeight

    public static final QTextFormat.Property FrameHeight

  Internal.

### FrameTopMargin

    public static final QTextFormat.Property FrameTopMargin

  Internal.

### FrameBottomMargin

    public static final QTextFormat.Property FrameBottomMargin

  Internal.

### FrameLeftMargin

    public static final QTextFormat.Property FrameLeftMargin

  Internal.

### FrameRightMargin

    public static final QTextFormat.Property FrameRightMargin

  Internal.

### FrameBorderBrush

    public static final QTextFormat.Property FrameBorderBrush

  Internal.

### FrameBorderStyle

    public static final QTextFormat.Property FrameBorderStyle

  Internal.

### TableColumns

    public static final QTextFormat.Property TableColumns

  Internal.

### TableColumnWidthConstraints

    public static final QTextFormat.Property TableColumnWidthConstraints

  Internal.

### TableCellSpacing

    public static final QTextFormat.Property TableCellSpacing

  Internal.

### TableCellPadding

    public static final QTextFormat.Property TableCellPadding

  Internal.

### TableHeaderRowCount

    public static final QTextFormat.Property TableHeaderRowCount

  Internal.

### TableCellRowSpan

    public static final QTextFormat.Property TableCellRowSpan

  Internal.

### TableCellColumnSpan

    public static final QTextFormat.Property TableCellColumnSpan

  Internal.

### ImageName

    public static final QTextFormat.Property ImageName

  Internal.

### ImageWidth

    public static final QTextFormat.Property ImageWidth

  Internal.

### ImageHeight

    public static final QTextFormat.Property ImageHeight

  Internal.

### FullWidthSelection

    public static final QTextFormat.Property FullWidthSelection

  Internal.

### PageBreakPolicy

    public static final QTextFormat.Property PageBreakPolicy

  Internal.

### UserProperty

    public static final QTextFormat.Property UserProperty

  Internal.

Method Detail

### values

    public static final QTextFormat.Property[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextFormat.Property c : QTextFormat.Property.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextFormat.Property valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextFormat.Property resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD